[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#671816: RFS: gnome-ksnapshot/1.0 [ITP]



Still, it would be nice to have a light-weight alternative for gnome-screenshot (I use shutter).

Unfortunately, just repacking knapshot just forces you to bring the entire KDE runtime into Gnome, which I think is not good either... Maybe rewriting ksnaptshot into a gnome-snapshot, using only Gnome libs would be better....

$ apt-get install ksnapshot 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  docbook-xsl icoutils kate-data katepart kde-runtime kde-runtime-data kdelibs-bin kdelibs5-data
  kdelibs5-plugins kdoctools kubuntu-debug-installer libattica0.3 libclucene0ldbl libdlrestrictions1
  libkatepartinterfaces4 libkcmutils4 libkde3support4 libkdeclarative5 libkdecore5 libkdesu5 libkdeui5
  libkdewebkit5 libkdnssd4 libkemoticons4 libkfile4 libkhtml5 libkidletime4 libkio5 libkipi-data
  libkipi8 libkjsapi4 libkjsembed4 libkmediaplayer4 libknewstuff3-4 libknotifyconfig4 libkntlm4
  libkparts4 libkpty4 libkrosscore4 libktexteditor4 libnepomuk4 libnepomukdatamanagement4
  libnepomukquery4a libnepomuksync4 libnepomukutils4 libntrack-qt4-1 libntrack0 libphonon4 libplasma3
  libpolkit-qt-1-1 libqapt-runtime libqapt1 libqca2 libsolid4 libsoprano4 libstreamanalyzer0 libstreams0
  libthreadweaver4 libvirtodbc0 ntrack-module-libnl-0 oxygen-icon-theme phonon phonon-backend-gstreamer
  plasma-scriptengine-_javascript_ qapt-batch shared-desktop-ontologies soprano-daemon virtuoso-minimal
  virtuoso-opensource-6.1-bin virtuoso-opensource-6.1-common
Suggested packages:
  docbook-xsl-doc-html docbook-xsl-doc-pdf docbook-xsl-doc-text docbook-xsl-doc libsaxon-java
  libxalan2-java libxslthl-java docbook-xsl-saxon fop xalan dbtoepub libterm-readline-gnu-perl
  libterm-readline-perl-perl djvulibre-bin finger hspell libqca2-plugin-cyrus-sasl libqca2-plugin-gnupg
  libqca2-plugin-ossl phonon-backend-vlc phonon-backend-xine phonon-backend-mplayer
The following NEW packages will be installed:
  docbook-xsl icoutils kate-data katepart kde-runtime kde-runtime-data kdelibs-bin kdelibs5-data
  kdelibs5-plugins kdoctools ksnapshot kubuntu-debug-installer libattica0.3 libclucene0ldbl
  libdlrestrictions1 libkatepartinterfaces4 libkcmutils4 libkde3support4 libkdeclarative5 libkdecore5
  libkdesu5 libkdeui5 libkdewebkit5 libkdnssd4 libkemoticons4 libkfile4 libkhtml5 libkidletime4 libkio5
  libkipi-data libkipi8 libkjsapi4 libkjsembed4 libkmediaplayer4 libknewstuff3-4 libknotifyconfig4
  libkntlm4 libkparts4 libkpty4 libkrosscore4 libktexteditor4 libnepomuk4 libnepomukdatamanagement4
  libnepomukquery4a libnepomuksync4 libnepomukutils4 libntrack-qt4-1 libntrack0 libphonon4 libplasma3
  libpolkit-qt-1-1 libqapt-runtime libqapt1 libqca2 libsolid4 libsoprano4 libstreamanalyzer0 libstreams0
  libthreadweaver4 libvirtodbc0 ntrack-module-libnl-0 oxygen-icon-theme phonon phonon-backend-gstreamer
  plasma-scriptengine-_javascript_ qapt-batch shared-desktop-ontologies soprano-daemon virtuoso-minimal
  virtuoso-opensource-6.1-bin virtuoso-opensource-6.1-common
0 upgraded, 71 newly installed, 0 to remove and 105 not upgraded.
Need to get 48.0 MB of archives.
After this operation, 147 MB of additional disk space will be used.

--
Braga, Bruno
www.brunobraga.net
bruno.braga@gmail.com


On Mon, May 7, 2012 at 5:29 PM, Ansgar Burchardt <ansgar@debian.org> wrote:
tag 671816 + moreinfo wontfix
thanks

Luca <ororo@email.it> writes:
> I am looking for a sponsor for my package "gnome-ksnapshot". This
> simple package should be relevant for all people that like GNOME, and
> nevertheless think that ksnapshot is /far/ better than
> gnome-screenshot.

Moving files belonging to other packages around in maintainer scripts
is not okay.  Either dpkg-divert or alternatives would be better.

That said I don't think we need a package just for the purpose of
calling dpkg-divert in the archive.

Regards,
Ansgar



--
To UNSUBSCRIBE, email to debian-mentors-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 87ipg85tzm.fsf@deep-thought.43-1.org" target="_blank">http://lists.debian.org/87ipg85tzm.fsf@deep-thought.43-1.org



Reply to: